# Release 2.4.1

- luca Connect

In this update, we present luca Connect! luca Connect directly connects your local health department to you. If you choose to voluntarily share your data, your health department can contact you fast and directly with notifications and instructions for action.

# Release 2.4.0

- Notifications Tab 
- Bug fixes 

In this update we present a new tab: The Notifications Tab! In the notifications tab you will see data request and notifications from health departments as well as news in the app. 

# Release 2.3.0

- Additional information of the luca location
- Account tab redesign
- Bug fixes

With this update you can view information about the location while you are checked in. Thus, you can have a look at the menu, map or schedule of the location you are checked into!

# Release 2.2.0

- 2G/3G Status in QR code
- Verification of EU Digital COVID certificates

With this version, it is possible to share your 2G/3G status in your check-in QR code. Operators can not only checkin when scanning your QR code, but also check your 2G/3G status simultaneously if you want. The status can only be added if luca could verify the corresponding certificate.

# Release 2.1.0

- Explanation screens 
- Private meeting redesign

With this update we introduce explanation screens within the app. With these screens you can learn what's new in luca on every update or get more information about existing features! Further, the private meeting got a new design - take a look!

# Release 2.0.3

- Support third vaccination certificates
- Redesign add children screen
- UX improvements

With this update we support the import of certificates for the third vaccination. Further, we included bug fixes related to the check-in and we fixed some UI bugs.

# Release 2.0.2

- Bug fixes
- UX improvements

This update includes bug fixes related to the check-in as well as some UX improvements.

# Release 2.0.1

Prominent disclosure before asking for camera permission

# Release 2.0.0

- Check-in and history redesign
- Introduction of new notifications

We are proud to present luca 2.0. This update includes a major redesign of the check-in and history tab. This makes it easier for you to enjoy the features of luca, so that you can check in and use it even more intuitively.
Further, with this update we introduce additional notifications with different levels.

# Release 1.13.1

This update fixes an issue with imported documents not being visible.

# Release 1.13.0

- Document import for children
- Improvement of error messages

With this update, you can also import documents for the children that have been added to the app. Further, we improved error messages for more ease of use. 

# Release 1.12.0

- Text and UI adjustments
- Bug fixes and improvements 

In this update we made some adjustments to text as well as UI. Further, this updates includes bug fixes.

# Release 1.11.1

- Bug fixes and improvements
- Text and UI adjustments

This update includes bug fixes and UI improvements that optimize usage.

# Release 1.11.0

- Bug fixes and improvement
- Text and UI adjustments

This update includes bug fixes and UI improvements that optimize usage. 

# Release 1.10.0

- Account Tab
- Text and UI adjustments

With this update we introduce a new tab: the "Account" tab. In the "Account" tab you can find all general functions about the App. Further, we made some text and UI adjustments.

# Release 1.9.0

- Bug fixes and improvement
- Text and UI adjustments
- In-App rating

This update includes bug fixes and UI improvements that optimize usage. Additionally, it is now possible to give in-app ratings.

# Release 1.8.5

- Bug fix

This update includes a bugfix related to the import of vaccination certificates.

# Release 1.8.4

- Bug fix

This update includes a bugfix related to the import of documents.

# Release 1.8.0

- Vaccination proofs and recovery certificate
- Text and UI improvements

This update enables you to import the "EU Digital COVID Certificate" (EUDCC). With the EUDCC, vaccination proofs as well as recovery certificates can be imported and displayed in the app. Further, with this update we support more test providers.
We also included some text and UI improvements.

# Release 1.7.7

- Bug fix

This update includes a bugfix related to the import of documents.

# Release 1.7.6

- Add children to check-in
- Import appointments

With this update, it is possible to add the names of your children to check-ins.
Further, you can now import and display appointments in the app.

# Release 1.7.5

- Bug fixes and improvements
- Display table number when checked-in

In this update, the UX is improved with optimized error messages. Further, table numbers are now displayed during check-in.

# Release 1.7.4

- Design update of the "My luca" tab
- Improved accessibility
- Bugfixes

This update contains a redesign of the "My luca" tab.

We also noticed that visually impaired users had a hard time using the app, so we improved the accessibility.

# Release 1.7.2

- Minor improvements and bugfixes

In this update, we have made minor adjustments to the "My luca" tab.

# Release 1.7.1

- Support import via deep links
- Text and UI adjustments
- Minor bugfixes

This update allows you to import documents via deep links. We also updated the consent dialog for importing documents to clarify under which conditions data is being processed.

Further, we have made minor adjustments to text and UI.

# Release 1.7.0

- Include "my luca" tab
- Bug fixes and improvements

With this update we introduce another tab: The "my luca" tab. In this tab you are able to import documents that may be helpful for the locations you check into.

# Release 1.6.7

- Added support for CWA compatible QR codes
- Added dedicated text view for location group name
- Improved support for devices without Google Play Services
- Increased timeout for verification TAN requests
- Adjusted info texts for private events
- Adjusted error messages
- Fixed improperly scaling QR codes

# Release 1.6.6

- Improved accessibility features
- Clearer consent screens and disclosures
- Miscellaneous bug fixes and improvements

We integrated the TalkBack screen reader to help blind and visually impaired users interact with the luca app.

Our consent dialogs have been updated to clarify under which conditions data is being processed. It is now indicated for which feature the data is required and which section of our privacy policy or the GDPR this relates to.

# Release 1.6.0

- Automatic check-out

If supported by the location, you can now optionally enable the automatic checkout. This will register a geo-fence around the location, which triggers the checkout as soon as you leave it. Note that luca will not store your location data.

# Release 1.5.0

- List recent data accesses

If a health department accesses data related to one of your recent check-ins for contact tracing, you will now find details about that in the History screen. In addition you will get a notification, even if you're not currently using the app.

# Release 1.4.12

- Signature check for health department keys

We added a signature check to validate the authenticity of the daily changing health department keys. This is necessary for the luca app to make sure that the key has been created by the health department.

# Release 1.4.10

- Fixed inability to accept the privacy policy
- Added history entry for sharing data

Some users were redirected to our website when attempting to accept the privacy policy or terms of use. This issue has been resolved.

We also added a new history entry for when you share your data with health authorities.

# Release 1.4.8

- Improved texts and error messages
- Improved support for older Android versions
- Minor bug fixes and improvements

# Release 1.4.4

- Enhanced security measures
- Adjusted UI colors and fonts
- Improved support for older Android versions
- Minor bug fixes and improvements

Besides some UI tweaks and smaller improvements, we've added certificate pinning for additional security. This makes sure luca only communicates with our trusted servers, even if a third party tries to intercept requests.

# Release 1.4.0

- History can now be cleared manually
- Improved display of history entries
- Fixed layout issues from using large fonts
- Fixed camera related issues

We made some adjustments to the history, which you can now manually reset on your device.

We also improved accessibility when increasing system font sizes and removed an issue that prevented some users from using the camera during self check-in.

# Release 1.3.2

- A cleaner main screen
- A smoother registration process
- Other small improvements

In this update, we've cleaned up the main screen of the app.  

Additionally, we've worked on a smoother registration process. Other small improvements affect check-ins and private meetings.

# Release 1.3.0

- Improved phone number verification
- Automatic deletion of your history
- Other small improvements

We noticed that for some of you, the phone number verification was not working smoothly. Therefore, we've greatly improved this process.  
For everyone else, we've worked on other minor changes. For example, your history will not show check-ins that are older than 14 days anymore.

# Release 1.2.5

- UX improvements

This update includes various small improvements ensuring better content readability, especially when displayed on smaller screens.

# Release 1.2.2

- Set up private meetings within the app

From now on you can create QR codes for private meetings inside the app. These QR codes can be scanned by your friends and family, so that private meetings can also be added to your history. You can already use this feature at locations that are not part of the luca system to keep track of private meetings yourself.

# Release 1.1.0

- Scan QR-codes for self check-in within the app
- Be notified when necessary app updates are available

If a luca location displays QR-codes for self check-in, you can now scan them within the app. Additionally, you will be notified if critical app updates are available. As we're constantly improving the whole luca system, new app updates may be crucial to make sure the app runs smoothly with its other components.
